Subject: Re: GuixSD on eoma68-a20?

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 16 Dec 2018 21:14:26 +0100

Hi Ludo,

> > The following package will be installed:
> >    guile-bootstrap      2.0     /tmp/guix-tests/store/1gd1z2r2a38bh3a4494jbhyzcv5mi5hl-guile-bootstrap-2.0  
> 
> The solution I proposed only works if you’re using /gnu/store as your
> store prefix.  Otherwise you cannot get substitutes from the build
> farm.  :-/

I do use /gnu/store , but I think the above was from a "guix" package unit test.

> > gnu/packages/scheme.scm:170:30: In procedure inputs:
> > Throw to key `match-error' with args `("match" "no matching pattern" "armhf-linux")'.  
> 
> This looks like the issue fixed in
> 966629a114fd90153784dfdbe5e332e0ac94f1bc.

Indeed.

Now po4a fails one of the tests.  It's not easy to get the image :)

I'll try some more...